#pragma once

#include "features/items/contracts/ItemCommandTypes.h"

namespace ta::features::items::dependencies
{
    class IItemSettings
    {
    public:
        virtual ~IItemSettings() = default;
        [[nodiscard]] virtual ta::features::items::contracts::ItemSettings read() const = 0;
    };
}
